package com.qmth.distributed.print.business.bean.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.enums.BackupMethodEnum;
import com.qmth.distributed.print.business.enums.ExamDetailStatusEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 命题计划统计Dto
 * @Author: CaoZixuan
 * @Date: 2022-04-25
 */
public class ExamTaskPlanStatisticDto implements Serializable {

    @ApiModelProperty(value = "考试id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examId;

    @ApiModelProperty(value = "印刷计划id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examPrintPlanId;

    @ApiModelProperty(value = "备份方式")
    private BackupMethodEnum backupMethod;

    @ApiModelProperty(value = "备份数量")
    private Integer backupCount;

    @ApiModelProperty(value = "印刷计划名称")
    private String examPrintPlanName;

    @ApiModelProperty(value = "考场表id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examDetailId;

    @ApiModelProperty(value = "考场表印刷状态")
    private ExamDetailStatusEnum examDetailStatus;

    @ApiModelProperty(value = "考试科目表id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examDetailCourseId;

    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "课程编号")
    private String courseCode;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "班级名称逗号隔开")
    private String clazzIds;

    @ApiModelProperty(value = "学生数量")
    private Integer studentCount;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public BackupMethodEnum getBackupMethod() {
        return backupMethod;
    }

    public void setBackupMethod(BackupMethodEnum backupMethod) {
        this.backupMethod = backupMethod;
    }

    public Integer getBackupCount() {
        return backupCount;
    }

    public void setBackupCount(Integer backupCount) {
        this.backupCount = backupCount;
    }

    public Long getExamPrintPlanId() {
        return examPrintPlanId;
    }

    public void setExamPrintPlanId(Long examPrintPlanId) {
        this.examPrintPlanId = examPrintPlanId;
    }

    public String getExamPrintPlanName() {
        return examPrintPlanName;
    }

    public void setExamPrintPlanName(String examPrintPlanName) {
        this.examPrintPlanName = examPrintPlanName;
    }

    public Long getExamDetailId() {
        return examDetailId;
    }

    public void setExamDetailId(Long examDetailId) {
        this.examDetailId = examDetailId;
    }

    public ExamDetailStatusEnum getExamDetailStatus() {
        return examDetailStatus;
    }

    public void setExamDetailStatus(ExamDetailStatusEnum examDetailStatus) {
        this.examDetailStatus = examDetailStatus;
    }

    public Long getExamDetailCourseId() {
        return examDetailCourseId;
    }

    public void setExamDetailCourseId(Long examDetailCourseId) {
        this.examDetailCourseId = examDetailCourseId;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getClazzIds() {
        return clazzIds;
    }

    public void setClazzIds(String clazzIds) {
        this.clazzIds = clazzIds;
    }

    public Integer getStudentCount() {
        return studentCount;
    }

    public void setStudentCount(Integer studentCount) {
        this.studentCount = studentCount;
    }
}
